<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'admin', language 'en_ar', version '2.1'.
 *
 * @package     admin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additionalhtml_desc'] = 'These settings allow ye to specify HTML that ye want added to every page. Ye can set HTML that will be added within the HEAD tag for the page, immediately after the BODY tag has been opened, or immediately before the body tag is closed.<br />Doing this allows ye add custom headers or footers on every page, or add support for services like Google Analytics very easily and independent of yer chosen theme.';
$string['authpreventaccountcreation_help'] = 'When a user authenticates, an account on the site is automatically created if it doesn\'t yet exist. If an external database, such as LDAP, is used for authentication, but ye wish to restrict access to the site to users with an existing account only, then this option should be enabled. New accounts will need to be created manually or via the upload users feature. Note that this setting doesn\'t apply to MNet authentication.';
$string['badwordsconfig'] = 'Enter yer list of bad words separated by commas.';
$string['bookmarkalreadyexists'] = 'Ye have already bookmarked this page.';
$string['cannotdeletemodfilter'] = 'Ye cannot uninstall the \'{$a->filter}\' because it is part of the \'{$a->module}\' module.';
$string['cfgwwwrootslashwarning'] = 'Ye have defined $CFG->wwwroot incorrectly in yer config.php file. Ye have included a \'/\' character at the end. Please remove it, or ye will experience strange bugs like <a href=\'http://tracker.moodle.org/browse/MDL-11061\'>MDL-11061</a>.';
$string['cfgwwwrootwarning'] = 'Ye have defined $CFG->wwwroot incorrectly in yer config.php file. It does not match the URL ye are using to access this page. Please correct it, or ye will experience strange bugs like <a href=\'http://tracker.moodle.org/browse/MDL-11061\'>MDL-11061</a>.';
$string['configallcountrycodes'] = 'This is the list of countries that may be selected in various places, for example in a user\'s profile. If blank (the default) the list in countries.php in the standard English language pack is used. That is the list from ISO 3166-1. Otherwise, ye can specify a comma-separated list of codes, for example \'GB,FR,ES\'. If ye add new, non-standard codes here, ye will need to add them to countries.php in \'en\' and yer language pack.';
$string['configallowassign'] = 'Ye can allow people who have the roles on the left side to assign some of the column roles to other people';
$string['configallowcategorythemes'] = 'If ye enable this, then themes can be set at the category level. This will affect all child categories and courses unless they have specifically set their own theme. WARNING: Enabling category themes may affect performance.';
$string['configallowcoursethemes'] = 'If ye enable this, then courses will be allowed to set their own themes.  Course themes override all other theme choices (site, user, or session themes)';
$string['configallowemailaddresses'] = 'If ye want to restrict all new email addresses to particular domains, then list them here separated by spaces.  All other domains will be rejected.  To allow subdomains add the domain with a preceding \'.\'. eg <strong>ourcollege.edu.au .gov.au</strong>';
$string['configallowobjectembed'] = 'As a default security measure, normal users are not allowed to embed multimedia (like Flash) within texts using explicit EMBED and OBJECT tags in their HTML (although it can still be done safely using the mediaplugins filter).  If ye wish to allow these tags then enable this option.';
$string['configallowoverride'] = 'Ye can allow people with the roles on the left side to override some of the column roles';
$string['configallowuserblockhiding'] = 'Do ye want to allow users to hide/show side blocks throughout this site?  This feature uses Javascript and cookies to remember the state of each collapsible block, and only affects the user\'s own view.';
$string['configallowuserthemes'] = 'If ye enable this, then users will be allowed to set their own themes.  User themes override site themes (but not course themes)';
$string['configallusersaresitestudents'] = 'For activities on the front page of the site, should ALL users be considered as students?  If ye answer "Yes", then any confirmed user account will be allowed to participate as a student in those activities.  If ye answer "No", then only users who are already a participant in at least one course will be able to take part in those front page activities. Only admins and specially assigned teachers can act as teachers for these front page activities.';
$string['configauthenticationplugins'] = 'Please choose the authentication plugins ye wish to use and arrange them in order of failthrough.';
$string['configbloglevel'] = 'This setting allows ye to restrict the level to which user blogs can be viewed on this site.  Note that they specify the maximum context of the VIEWER not the poster or the types of blog posts.  Blogs can also be disabled completely if ye don\'t want them at all.';
$string['configcalendarexportsalt'] = 'This random text is used for improving of security of authentication tokens used for exporting of calendars. Please note that all current tokens are invalidated if ye change this hash salt.';
$string['configclamfailureonupload'] = 'If ye have configured clam to scan uploaded files, but it is configured incorrectly or fails to run for some unknown reason, how should it behave?  If ye choose \'Treat files like viruses\', they\'ll be moved into the quarantine area, or deleted. If ye choose \'Treat files as OK\', the files will be moved to the destination directory like normal. Either way, admins will be alerted that clam has failed.  If ye choose \'Treat files like viruses\' and for some reason clam fails to run (usually because ye have entered an invalid pathtoclam), ALL files that are uploaded will be moved to the given quarantine area, or deleted. Be careful with this setting.';
$string['configcountry'] = 'If ye set a country here, then this country will be selected by default on new user accounts.  To force users to choose a country, just leave this unset.';
$string['configdbsessions'] = 'If enabled, this setting will use the database to store information about current sessions.  This is especially useful for large/busy sites or sites built on cluster of servers.  For most sites this should probably be left disabled so that the server disk is used instead.  Note that changing this setting now will log out all current users (including you). If ye are using MySQL please make sure that \'max_allowed_packet\' in my.cnf (or my.ini) is at least 4M.';
$string['configdebug'] = 'If ye turn this on, then PHP\'s error_reporting will be increased so that more warnings are printed.  This is only useful for developers.';
$string['configdebugdisplay'] = 'Set to on, the error reporting will go to the HTML page. This is practical, but breaks XHTML, JS, cookies and HTTP headers in general. Set to off, it will send the output to yer server logs, allowing better debugging. The PHP setting error_log controls which log this goes to.';
$string['configdebugpageinfo'] = 'Enable if ye want page information printed in page footer.';
$string['configdebugvalidators'] = 'Enable if ye want to have links to external validator servers in page footer. Ye may need to create new user with username <em>w3cvalidator</em>, and enable guest access. These changes may allow unauthorized access to server, do not enable on production sites!';
$string['configdefaultuserroleid'] = 'All logged in users will be given the capabilities of the role ye specify here, at the site level, in ADDITION to any other roles they may have been given.  The default is the Authenticated user role.  Note that this will not conflict with other roles they have unless ye prohibit capabilities, it just ensures that all users have capabilities that are not assignable at the course level (eg post blog entries, manage own calendar, etc).';
$string['configdeleteunconfirmed'] = 'If ye are using email authentication, this is the period within which a response will be accepted from users.  After this period, old unconfirmed accounts are deleted.';
$string['configdoctonewwindow'] = 'If ye enable this, then links to Moodle Docs will be shown in a new window.';
$string['configenablerssfeedsdisabled2'] = 'RSS feeds are disabled at the server level. Ye need to enable them first in Server/RSS.';
$string['configenablestats'] = 'If ye choose \'yes\' here, Moodle\'s cronjob will process the logs and gather some statistics.  Depending on the amount of traffic on yer site, this can take awhile. If ye enable this, ye will be able to see some interesting graphs and statistics about each of yer courses, or on a sitewide basis.';
$string['configenabletrusttext'] = 'By default Moodle will always thoroughly clean text that comes from users to remove any possible bad scripts, media etc that could be a security risk.  The Trusted Content system is a way of giving particular users that ye trust the ability to include these advanced features in their content without interference.  To enable this system, ye need to first enable this setting, and then grant the Trusted Content permission to a specific Moodle role.  Texts created or uploaded by such users will be marked as trusted and will not be cleaned before display.';
$string['configenablewebservices'] = 'Web services enable other systems to log in to this Moodle and perform operations.  For extra security this feature should be disabled unless ye are really using it.';
$string['configerrorlevel'] = 'Choose the amount of PHP warnings that ye want to be displayed.  Normal is usually the best choice.';
$string['configfilterall'] = 'Filter all strings, including headings, titles, navigation bar and so on.  This is mostly useful when using the multilang filter, otherwise it will just create extra load on yer site for little gain.';
$string['configforcelogin'] = 'Normally, the front page of the site and the course listings (but not courses) can be read by people without logging in to the site.  If ye want to force people to log in before they do ANYTHING on the site, then ye should enable this setting.';
$string['configforceloginforprofiles'] = 'This setting forces people to login as a real (non-guest) account before viewing any user\'s profile. If ye disabled this setting, ye may find that some users post advertising (spam) or other inappropriate content in their profiles, which is then visible to the whole world.';
$string['configgeoipfile'] = 'Location of GeoIP City binary data file. This file is not part of Moodle distribution and must be obtained separately from <a href="http://www.maxmind.com/">MaxMind</a>. Ye can either buy a commercial version or use the free version.<br />Simply download <a href="http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz" >http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz</a> and extract it into "{$a}" directory on yer server.';
$string['configgetremoteaddrconf'] = 'If yer server is behind a reverse proxy, ye can use this setting to specify which HTTP headers can be trusted to contain the remote IP address. The headers are read in order, using the first one that is available.';
$string['configgradebookroles'] = 'This setting allows ye to control who appears on the gradebook.  Users need to have at least one of these roles in a course to be shown in the gradebook for that course.';
$string['configgradeexport'] = 'Choose which gradebook export formats are yer primary methods for exporting grades.  Chosen plugins will then set and use a "last exported" field for every grade.  For example, this might result in exported records being identified as being "new" or "updated".  If ye are not sure about this then leave everything unchecked.';
$string['confighiddenuserfields'] = 'Select which user information fields ye wish to hide from other users other than course teachers/admins. This will increase student privacy. Hold CTRL key to select multiple fields.';
$string['configintro'] = 'On this page ye can specify a number of configuration variables that help make Moodle work properly on yer server.  Don\'t worry too much about it - the defaults will usually work fine and ye can always come back to this page later and change these settings.';
$string['configintroadmin'] = 'On this page ye should configure yer main administrator account which will have complete control over the site. Make sure ye give it a secure username and password as well as a valid email address.  Ye can create more admin accounts later on.';
$string['configintrosite'] = 'This page allows ye to configure the front page and name of this new site.  Ye can come back here later to change these settings any time using the Administration menus.';
$string['configiplookup'] = 'When ye click on an IP address (such as 34.12.222.93), such as in the logs, ye are shown a map with a best guess of where that IP is located.  There are different plugins for this that ye can choose from, each has benefits and disadvantages.';
$string['configkeeptagnamecase'] = 'Check this if ye want tag names to keep the original casing as entered by users who created them';
$string['configlanglist'] = 'Leave this blank to allow users to choose from any language ye have in this installation of Moodle.  However, ye can shorten the language menu by entering a comma-separated list of language codes that ye want.  For example:  en,es_es,fr,it';
$string['configlangmenu'] = 'Choose whether or not ye want to display the general-purpose language menu on the home page, login page etc.  This does not affect the user\'s ability to set the preferred language in their own profile.';
$string['configlangstringcache'] = 'Caches all the language strings into compiled files in the data directory.  If ye are translating Moodle or changing strings in the Moodle source code then ye may want to switch this off.  Otherwise leave it on to see performance benefits.';
$string['configlocale'] = 'Choose a sitewide locale - this will override the format and language of dates for all language packs (though names of days in calendar are not affected). Ye need to have this locale data installed on yer operating system (eg for linux en_US.UTF-8 or es_ES.UTF-8). In most cases this field should be left blank.';
$string['configloglifetime'] = 'This specifies the length of time ye want to keep logs about user activity.  Logs that are older than this age are automatically deleted.  It is best to keep logs as long as possible, in case ye need them, but if ye have a very busy server and are experiencing performance problems, then ye may want to lower the log lifetime. Values lower than 30 are not recommended because statistics may not work properly.';
$string['confignotloggedinroleid'] = 'Users who are not logged in to the site will be treated as if they have this role granted to them at the site context.  Guest is almost always what ye want here, but ye might want to create roles that are less or more restrictive.  Things like creating posts still require the user to log in properly.';
$string['configopentogoogle'] = 'If ye enable this setting, then Google will be allowed to enter yer site as a Guest.  In addition, people coming in to yer site via a Google search will automatically be logged in as a Guest.  Note that this only provides transparent access to courses that already allow guest access.';
$string['configpasswordpolicy'] = 'Turning this on will make Moodle check user passwords against a valid password policy. Use the settings below to specify yer policy (they will be ignored if ye set this to \'No\').';
$string['configpathtoclam'] = 'Path to clam AV.  Probably something like /usr/bin/clamscan or /usr/bin/clamdscan. Ye need this in order for clam AV to run.';
$string['configpathtodu'] = 'Path to du. Probably something like /usr/bin/du. If ye enter this, pages that display directory contents will run much faster for directories with a lot of files.';
$string['configperfdebug'] = 'If ye turn this on, performance info will be printed in the footer of the standard theme';
$string['configquarantinedir'] = 'If ye want clam AV to move infected files to a quarantine directory, enter it here. It must be writable by the webserver.  If ye leave this blank, or if ye enter a directory that doesn\'t exist or isn\'t writable, infected files will be deleted.  Do not include a trailing slash.';
$string['configrecaptchaprivatekey'] = 'String of characters used to communicate between yer Moodle server and the recaptcha server. Obtain one for this site by visiting http://www.google.com/recaptcha';
$string['configrequiremodintro'] = 'Disable this option if ye do not want to force users to enter description of each activity.';
$string['configrunclamonupload'] = 'Run clam AV on file upload? Ye will need a correct path in pathtoclam for this to work.  (Clam AV is a free virus scanner that ye can get from http://www.clamav.net/)';
$string['configsecureforms'] = 'Moodle can use an additional level of security when accepting data from web forms. If this is enabled, then the browser\'s HTTP_REFERER variable is checked against the current form address.  In a very few cases this can cause problems if the user is using a firewall (eg Zonealarm) configured to strip HTTP_REFERER from their web traffic.  Symptoms are getting \'stuck\' on a form. If yer users are having problems with the login page (for example) ye might want to disable this setting, although it might leave yer site more open to brute-force password attacks.  If in doubt, leave this set to \'Yes\'.';
$string['configsessioncookiedomain'] = 'This allows ye to change the domain that the Moodle cookies are available from. This is useful for Moodle customisations (e.g. authentication or enrolment plugins) that need to share Moodle session information with a web application on another subdomain. <strong>WARNING: it is strongly recommended to leave this setting at the default (empty) - an incorrect value will prevent all logins to the site.</strong>';
$string['configsessioncookiepath'] = 'If ye need to change where browsers send the Moodle cookies, ye can change this setting to specify a subdirectory of yer web site.  Otherwise the default \'/\' should be fine.';
$string['configslasharguments'] = 'Files (images, uploads etc) are provided via a script using \'slash arguments\'. This method allows files to be more easily cached in web browsers, proxy servers etc.  Unfortunately, some PHP servers don\'t allow this method, so if ye have trouble viewing uploaded files or images (eg user pictures), disable this setting.';
$string['configstatsfirstrun'] = 'This specifies how far back the logs should be processed <b>the first time</b> the cronjob wants to process statistics. If ye have a lot of traffic and are on shared hosting, it\'s probably not a good idea to go too far back, as it could take a long time to run and be quite resource intensive. (Note that for this setting, 1 month = 28 days. In the graphs and reports generated, 1 month = 1 calendar month.)';
$string['configthemedesignermode'] = 'Normally all theme images and style sheets are cached in browsers and on the server for a very long time, for performance. If ye are designing themes or developing code then ye probably want to turn this mode on so that ye are not served cached versions.  Warning: this will make yer site slower for all users!  Alternatively, ye can also reset the theme caches manually from the Theme selection page.';
$string['configthemelist'] = 'Leave this blank to allow any valid theme to be used.  If ye want to shorten the theme menu, ye can specify a comma-separated list of names here (Don\'t use spaces!).
For example:  standard,orangewhite.';
$string['configtimezone'] = 'Ye can set the default timezone here.  This is the only the DEFAULT timezone for displaying dates - each user can override this by setting their own in their profile. "Server time" here will make Moodle default to the server\'s operating system setting, but "Server time" in the user profile will make the user default to this timezone setting.  Cronjobs that depend on a time of day to run will use this timezone.';
$string['confirmdeletecomments'] = 'Ye are about to delete comments, are ye sure?';
$string['coursecontact_desc'] = 'This setting allows ye to control who appears on the course description. Users need to have at least one of these roles in a course to be shown on the course description for that course.';
$string['cronerrorpassword'] = 'Sorry, ye have not provided a valid password to access this page';
$string['ctyperecommended'] = 'Installing the optional ctype PHP extension is highly recommended in order to improve site performance, particularly if yer site is supporting non-latin languages.';
$string['datarootsecurityerror'] = '<p><strong>SECURITY WARNING!</strong></p><p>Yer dataroot directory is in the wrong location and is exposed to the web. This means that all yer private files are available to anyone in the world, and some of them could be used by a cracker to obtain unauthorised administrative access to yer site!</p>
<p>Ye <em>must</em> move dataroot directory ({$a}) to a new location that is not within yer public web directory, and update the <code>$CFG->dataroot</code> setting in yer config.php accordingly.</p>';
$string['datarootsecuritywarning'] = 'Yer site configuration might not be secure. Please make sure that yer dataroot directory ({$a}) is not directly accessible via web.';
$string['dbmigratepostgres'] = 'It seems that ye are using PostgreSQL as the database server. To continue the migration process ye need to manually create a new database with encoding "UNICODE"(PostgreSQL 7) or "UTF8" (PostgreSQL 8) to store the migrated data. Please enter yer new database connection settings below to continue:';
$string['dbmigratewarning'] = 'Please make sure that ye have backed up yer Moodle database before commencing this procedure. If ye are unsure of how to do that, please contact yer system admin. Yer Moodle site will be put under maintenance mode after ye start the migration process';
$string['dbmigratewarning2'] = '<b>Warning: Ye are about to start the database migration process. Please be very sure that yer entire Moodle database is backed up.</b>';
$string['dbmigrationdeprecateddb'] = '<font color="#ff0000">This database is migrated to a new UTF8 database and deprecated. Please edit yer config.php and use the new database for this moodle.</font>';
$string['deletefilterareyousure'] = 'Are ye sure ye want to delete the filter \'{$a}';
$string['deletefilterareyousuremessage'] = 'Ye are about to completely delete the filter \'{$a}\'. Are ye sure ye want to uninstall it?';
$string['deletefilterfiles'] = 'All data associated with the filter \'{$a->filter}\' has been deleted from the database. To complete the deletion (and to prevent the filter from re-installing itself), ye should now delete this directory from yer server: {$a->directory}';
$string['devicedetectregex_desc'] = '<p>By default, Moodle can detect devices of the type default (desktop PCs, laptops, etc), mobile (phones and small hand held devices), tablet (iPads, Android tablets) and legacy (Internet Explorer 6 users).  The theme selector can be used to apply separate themes to all of these.  This setting allows regular expressions that allow the detection of extra device types (these take precedence over the default types).</p>
<p>For example, ye could enter the regular expression \'/(MIDP-1.0|Maemo|Windows CE)/\' to detect some commonly used feature phones add the return value \'featurephone\'.  This adds \'featurephone\' on the theme selector that would allow ye to add a theme that would be used on these devices.  Other phones would still use the theme selected for the mobile device type.</p>';
$string['displayerrorswarning'] = 'Enabling the PHP setting <em>display_errors</em> is not recommended on production sites because some error messages may reveal sensitive information about yer server.';
$string['editingnoncorelangfile'] = 'Ye are trying to modify translation of an add-on module/plugin. Ye can save translation of 3rd party modules in yer _local folder only. Ye may want to move the file with translation into the module\'s lang directory and/or send it to the maintainer of the add-on module.';
$string['emoticons_desc'] = 'This form defines the emoticons (or smileys) used at yer site. To remove a row from the table, save the form with an empty value in any of the required fields. To register a new emoticon, fill the fields in the last blank row. To reset all the fields into default values, follow the link above.

* Text (required) - This text will be replaced with the emoticon image. It must be at least two characters long.
* Image name (required) - The emoticon image file name without the extension, relative to the component pix folder.
* Image component (required) - The component providing the icon.
* Alternative text (optional) - String identifier and component of the alternative text of the emoticon.';
$string['environmenterrortodo'] = 'Ye must solve all the environmental problems (errors) found above before proceeding to install this Moodle version!';
$string['environmenterrorupgrade'] = 'Warning: ye should solve all the environmental problems (errors) found above before proceeding to upgrade this Moodle version!  Upgrading without fixing these requirements could cause problems such as data loss.  Are ye sure ye want to continue with the upgrade?';
$string['environmentok'] = 'Yer server environment meets all minimum requirements.';
$string['environmentrecommendversion'] = 'version {$a->needed} is recommended and ye are running {$a->current}';
$string['environmentrequireversion'] = 'version {$a->needed} is required and ye are running {$a->current}';
$string['globalsquoteswarning'] = '<p><strong>Security Warning</strong>: to operate properly, Moodle requires <br />that ye make certain changes to yer current PHP settings.<p/><p>Ye <em>must</em> set <code>register_globals=off</code> and/or <code>magic_quotes_gpc=on</code>. <br />If possible, ye should set <code>register_globals=off</code> to improve general <br /> server security, setting <code>magic_quotes_gpc=on</code> is also recommended.<p/><p>These settings are controlled by editing yer <code>php.ini</code>, Apache/IIS <br />configuration or <code>.htaccess</code> file.</p>';
$string['globalswarning'] = '<p><strong>SECURITY WARNING!</strong></p><p> To operate properly, Moodle requires <br />that ye make certain changes to yer current PHP settings.</p><p>Ye <em>must</em> set <code>register_globals=off</code>.</p><p>This setting is controlled by editing yer <code>php.ini</code>, Apache/IIS <br />configuration or <code>.htaccess</code> file.</p>';
$string['helpforcetimezone'] = 'Ye can allow users to individually select their timezone, or force a timezone for everyone.';
$string['iconvrecommended'] = 'Installing the optional ICONV library is highly recommended in order to improve site performance, particularly if yer site is supporting non-Latin languages.';
$string['installsessionerror'] = 'Can not initialise PHP session, please verify that yer browser accepts cookies.';
$string['invaliduserchangeme'] = 'Username "changeme" is reserved -- ye cannot create an account with it.';
$string['iplookupinfo'] = 'By default Moodle uses the free online NetGeo (The Internet Geographic Database) server to lookup location of IP addresses, unfortunately this database is not maintained anymore and may return <em>wildly incorrect</em> data.
It is recommended to install local copy of free GeoLite City database from MaxMind.<br />
IP address location is displayed on simple map or using Google Maps. Please note that ye need to have a Google account and apply for free Google Maps API key to enable interactive maps.';
$string['langcache_desc'] = 'Cache the language menu. If enabled, the list of available translations is cached. The cache is automatically refreshed when ye install or delete a language pack via the in-built language packs management tool. If ye install a new language pack manually, ye have to use Purge all caches feature to refresh the cached list.';
$string['langpackwillbeupdated'] = 'NOTE: Moodle will try to download updates for yer language packs during the upgrade.';
$string['loginpasswordautocomplete_help'] = 'Having this off will let users save their account password in their browser. Switching this setting on will result in yer site no longer following XHTML strict validation rules.';
$string['maturitycoreinfo'] = 'Yer site is currently running unstable "{$a}" development code.';
$string['maturitycorewarning'] = 'The version of Moodle that ye are about to install or upgrade to contains
unstable "{$a}" development code that is not suitable for use on most production
sites. If this is not what ye wanted then ye should make sure ye are updating
from a STABLE branch of the Moodle code. See Moodle Docs for more details.';
$string['mbstringrecommended'] = 'Installing the optional MBSTRING library is highly recommended in order to improve site performance, particularly if yer site is supporting non-Latin languages.';
$string['mnetrestore_extusers_admin'] = '<strong>Note:</strong> This backup file seems to come from a different Moodle installation and contains remote Moodle Network user accounts. The restore process will try to match the Moodle Network hosts for all created users. Those not matching will be automatically switched to internal authentication (instead of mnet one). The restore log will inform ye about that.';
$string['mnetrestore_extusers_mismatch'] = '<strong>Note:</strong> This backup file apparently originates from a different Moodle installation and contains remote Moodle Network user accounts that may fail to restore. This operation is unsupported. If ye are certain that it was created on this Moodle installation, or ye can ensure that all the needed Moodle Network Hosts are configured, ye may want to still try the restore.';
$string['mnetrestore_extusers_noadmin'] = '<strong>Note:</strong> This backup file seems to come from a different Moodle installation and contains remote Moodle Network user accounts. Ye are not allowed to execute this type of restore. Contact the administrator of the site or, alternatively, restore this course without any user information (modules, files...)';
$string['mysql416bypassed'] = 'However, if yer site is using iso-8859-1 (latin) languages ONLY, ye may continue using yer currently installed MySQL 4.1.12 (or higher).';
$string['navigationupgrade'] = 'This upgrade introduces two new navigation blocks that will replace these blocks: Administration, Courses, Activities and Participants.  If ye had set any special permissions on those blocks ye should check to make sure everything is behaving as ye want it.';
$string['nobookmarksforuser'] = 'Ye do not have any bookmarks.';
$string['nonexistentbookmark'] = 'The bookmark ye requested does not exist.';
$string['pathtodot_help'] = 'Path to dot. Probably something like /usr/bin/dot. To be able to generate graphics from DOT files, ye must have installed the dot executable and point to it here. Note that, for now, this only used by the profiling features (Development->Profiling) built into Moodle.';
$string['pathtopgdumpdesc'] = 'This is only necessary to enter if ye have more than one pg_dump on yer system (for example if ye have more than one version of postgresql installed)';
$string['pathtopsqldesc'] = 'This is only necessary to enter if ye have more than one psql on yer system (for example if ye have more than one version of postgresql installed)';
$string['pgclusterdescription'] = 'PostgreSQL version/cluster parameter for command line operations. If ye only have one postgresql on yer system or ye are not sure what this is, leave this blank.';
$string['pleaserefreshregistration'] = 'Yer site has been registered with moodle.org, please consider updating the registration if significant changes happened since yer last update, on {$a}';
$string['pleaseregister'] = 'Please register yer site to remove this button';
$string['profileconfirmcategorydeletion'] = 'There is/are {$a} field/s in this category which will be moved into the category above (or below if in the top category).<br />Do ye still wish to delete this category?';
$string['profileconfirmfielddeletion'] = 'There is/are {$a} user record/s for this field which will be deleted.<br />Do ye still wish to delete this field?';
$string['profilemenutoofewoptions'] = 'Ye must provide at least 2 options';
$string['profilingallowall_help'] = 'If ye enable this setting, then, at any moment, ye can use the PROFILEALL parameter anywhere (PGC) to enable profiling for all the executed scripts along the Moodle session life. Analogously, ye can use the PROFILEALLSTOP parameter to stop it.';
$string['profilingallowme_help'] = 'If ye enable this setting, then, selectively, ye can use the PROFILEME parameter anywhere (PGC) and profiling for that script will happen. Analogously, ye can use the DONTPROFILEME parameter to prevent profiling to happen';
$string['profilingenabled_help'] = 'If ye enable this setting, then profiling will be available in this site and ye will be able to define its behavior by configuring the next options.';
$string['profilinglifetime_help'] = 'Specify the time ye want to keep information about old profiling runs. Older ones will be pruned periodically. Note that this excludes any profiling run marked as \'reference run\'.';
$string['purgecachesconfirm'] = 'Moodle can cache themes, javascript, language strings, filtered text, rss feeds and many other pieces of calculated data.  Purging these caches will delete that data from the server and force browsers to refetch data, so that ye can be sure ye are seeing the most up-to-date values produced by the current code.  There is no danger in purging caches, but yer site may appear slower for a while until the server and clients calculate new information and cache it.';
$string['qtyperqpwillberemoved'] = 'During the upgrade, the RQP question type will be removed. Ye were not using this question type, so ye should not experience any problems.';
$string['qtyperqpwillberemovedanyway'] = 'During the upgrade, the RQP question type will be removed. Ye have some RQP questions in yer database, and these will stop working unless ye reinstall the code from http://moodle.org/mod/data/view.php?d=13&amp;rid=797 before continuing with the upgrade.';
$string['questioncwqpfsok'] = 'Good. There are no \'random\' questions in yer quizzes that are set up to select questions from a mixture of shared and unshared question categories.';
$string['requiredentrieschanged'] = '<strong>IMPORTANT - PLEASE READ<br/>(This warning message will only be displayed during this upgrade)</strong><br/>Due to a bug fix, the behaviour of database activities using the \'Required entries\' and \'Required entries before viewing settings\' settings will change. A more detailed explanation of the changes can be read on <a href="http://moodle.org/mod/forum/discuss.php?d=110928" target="_blank">the database module forum</a>. The expected behavior of these settings can also be read on <a href="http://docs.moodle.org/en/Adding/editing_a_database#Required_entries" target="_blank">Moodle Docs</a>.
<br/><br/>This change affects the following databases in yer system: (Please save this list now, and after the upgrade, check that these activities still work the way that the teacher intends.)<br/><strong>{$a->text}</strong><br/>';
$string['settingsafemode'] = 'Moodle is not fully compatible with safe mode, please ask server administrator to turn it off. Running Moodle under safe mode is not supported, please expect various problems if ye do so.';
$string['sitemaintenanceon'] = 'Yer site is currently in maintenance mode (only admins can log in or use the site).';
$string['sitemaintenancewarning'] = 'Yer site is currently in maintenance mode (only admins can log in).  To return this site to normal operation, <a href="maintenance.php">disable maintenance mode</a>.';
$string['sitemaintenancewarning2'] = 'Yer site is currently in maintenance mode (only admins can log in).  To return this site to normal operation, <a href="{$a}">disable maintenance mode</a>.';
$string['sitepolicy_help'] = 'If ye have a site policy that all registered users must see and agree to before using this site, then specify the URL to it here, otherwise leave this field blank. This setting can contain any public URL.';
$string['sitepolicyguest_help'] = 'If ye have a site policy that all guests must see and agree to before using this site, then specify the URL to it here, otherwise leave this field blank. This setting can contain any public URL. Note: access of not-logged-in users may be prevented with forcelogin setting.';
$string['stickyblocksduplicatenotice'] = 'If any block ye add here is already present in a particular page, it will result in a duplicate.<br />Only the pinned block will be non-editable, the duplicate will still be editable.';
$string['therewereerrors'] = 'There were errors in yer data';
$string['unicoderecommended'] = 'Storing all yer data in Unicode (UTF-8) is recommended. New installations should be performed into databases that have their default character set as Unicode.  If ye are upgrading, ye should perform the UTF-8 migration process (see the Admin page).';
$string['unicoderequired'] = 'It is required that ye store all yer data in Unicode format (UTF-8). New installations must be performed into databases that have their default character set as Unicode.  If ye are upgrading, ye should perform the UTF-8 migration process (see the Admin page).';
$string['upgrade197notice'] = '<p>Moodle 1.9.7 contains a number of security fixes to user passwords and backups to protect the user data on yer site. As a result some of yer settings and permissions relating to backups may have changed.<br />
See the <a href="http://docs.moodle.org/dev/Moodle_1.9.7_release_notes" target="_blank">Moodle 1.9.7 release notes</a> for full details.</p>';
$string['upgrade197salt'] = 'To reduce the risk of password theft, ye are strongly recommended to set a password salt.<br />See the <a href="{$a}" target="_blank">password salting documentation</a> for details.';
$string['upgradeforumread'] = 'A new feature has been added in Moodle 1.5 to track read/unread forum posts.<br />To use this functionality ye need to <a href="{$a}">update yer tables</a>.';
$string['upgradeforumreadinfo'] = 'A new feature has been added in Moodle 1.5 to track read/unread forum posts.  To use this functionality ye need to update yer tables with all the tracking information for existing posts.  Depending on the size of yer site this can take a long time (hours) and can be quite taxing on the database, so it\'s best to do it during a quiet period.  However, yer site will continue functioning during this upgrade and users won\'t be affected.  Once ye start this process ye should let it finish (keep yer browser window open).  However, if ye stop the process by closing the window: don\'t worry, ye can start over.<br /><br />Do ye want to start the upgrading process now?';
$string['upgradelogs'] = 'For full functionality, yer old logs need to be upgraded.  <a href="{$a}">More information</a>';
$string['upgradelogsinfo'] = 'Some changes have recently been made in the way logs are stored.  To be able to view all of yer old logs on a per-activity basis, yer old logs need to be upgraded.  Depending on yer site this can take a long time (eg several hours) and can be quite taxing on the database for large sites.  Once ye start this process ye should let it finish (by keeping the browser window open).  Don\'t worry - yer site will work fine for other people while the logs are being upgraded.<br /><br />Do ye want to upgrade yer logs now?';
$string['upgradesettingsintro'] = 'The settings shown below were added during yer last Moodle upgrade. Make any changes necessary to the defaults and then click the &quot;Save changes&quot; button at the bottom of this page.';
$string['upgradesure'] = 'Yer Moodle files have been changed, and ye are about to automatically upgrade yer server to this version: <br /><br />
<strong>{$a}</strong> <br /><br />
Once ye do this ye can not go back again. <br /><br />
Please note that this process can take a long time. <br /><br />
Are ye sure ye want to upgrade this server to this version?';
$string['webproxyinfo'] = 'Fill in following options if yer Moodle server can not access internet directly. Internet access is required for download of environment data, language packs, RSS feeds, timezones, etc.<br /><em>PHP cURL extension is highly recommended.</em>';
