<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz', language 'en_ar', version '2.1'.
 *
 * @package     quiz
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessnoticesheader'] = 'Ye can preview this quiz, but if this were a real attempt, ye would be blocked because:';
$string['addingquestions'] = 'This side of the page is where ye manage yer database of questions.  Questions are stored in categories to help ye keep them organised, and can be used by any quiz in yer course or even other courses if ye choose to \'publish\' them. <br /><br />After ye select or create a question category ye will be able to create or edit questions.  Ye can select any of these questions to add to yer quiz over on the other side of this page.';
$string['alreadysubmitted'] = 'It is likely that ye have already submitted this attempt';
$string['areyousureremoveselected'] = 'Are ye sure ye want to remove all the selected questions?';
$string['attempterror'] = 'Ye are not allowed to attempt this quiz at this time because: {$a}';
$string['attemptsexist'] = 'Ye can no longer add or remove questions.';
$string['attemptsnumyourgroups'] = 'Attempts: {$a->total} ({$a->group} from yer groups)';
$string['cannoteditafterattempts'] = 'Ye cannot add or remove questions because this quiz has been attempted. ({$a})';
$string['cannotreviewopen'] = 'Ye cannot review this attempt, it is still open.';
$string['categorynoedit'] = 'Ye do not have editing privileges in the category \'{$a}\'.';
$string['closebeforeopen'] = 'Could not update the quiz. Ye have specified a close date before the open date.';
$string['configadaptive'] = 'If ye choose Yes for this option then the student will be allowed multiple responses to a question even within the same attempt at the quiz.';
$string['configdelay1'] = 'If ye set a time delay, then a student has to wait for that time before they can attempt a quiz after the first attempt.';
$string['configdelay1st2nd'] = 'If ye set a time delay here, the student cannot start their second attempt until this much time has passed since the end of their first attempt.';
$string['configdelay2'] = 'If ye set a time delay here, then a student has to wait for that time before they can attempt their third or later attempts.';
$string['configdelaylater'] = 'If ye set a time delay here, the student cannot start their third, fourth, ... attempt until this much time has passed since the end of their previous attempt.';
$string['configintro'] = 'The values ye set here define the default values that are used in the settings form when ye create a new quiz. Ye can also configure which quiz settings are considered advanced.';
$string['confignewpageevery'] = 'When adding questions to the quiz page breaks will automatically be inserted according to the setting ye choose here.';
$string['configshufflequestions'] = 'If ye enable this option, then the order of questions in  the quiz will be randomly shuffled each time a student attempts the quiz.';
$string['configshufflewithin'] = 'If ye enable this option, then the parts making up the individual questions will be randomly shuffled each time a student starts an attempt at this quiz, provided the option is also enabled in the question settings.';
$string['confirmclose'] = 'Once ye submit, ye will no longer be able to change yer answers for this attempt.';
$string['confirmserverdelete'] = 'Are ye sure ye want to remove the server <b>{$a}</b> from the list?';
$string['confirmstartattemptlimit'] = 'Number of attempts allowed:  {$a}. Ye are about to start a new attempt.  Do ye wish to proceed?';
$string['confirmstartattempttimelimit'] = 'This quiz has a time limit and is limited to {$a} attempt(s). Ye are about to start a new attempt.  Do ye wish to proceed?';
$string['confirmstarttimelimit'] = 'The quiz has a time limit. Are ye sure that ye wish to start?';
$string['countdownfinished'] = 'The quiz is closing, ye should submit yer answers now.';
$string['createfirst'] = 'Ye must create some short-answer questions first.';
$string['dataitemneed'] = 'Ye need to add at least one set of data items to get a valid question';
$string['deleteattemptcheck'] = 'Are ye absolutely sure ye want to completely delete these attempts?';
$string['duplicateresponse'] = 'This submission has been ignored because ye gave an equivalent answer earlier.';
$string['emailconfirmbody'] = 'Dear {$a->username},

Thank ye for submitting yer answers to
\'{$a->quizname}\'
in course \'{$a->coursename}\'
at {$a->submissiontime}.

This message confirms that we have safely received yer answers.

Ye can access this quiz at {$a->quizurl}.';
$string['emailconfirmsmall'] = 'Thank ye for submitting yer answers to \'{$a->quizname}';
$string['erroraccessingreport'] = 'Ye cannot access this report';
$string['feedbackerrorboundaryformat'] = 'Feedback grade boundaries must be either a percentage or a number. The value ye entered in boundary {$a} is not recognised.';
$string['feedbackerrorboundaryoutofrange'] = 'Feedback grade boundaries must be between 0% and 100%. The value ye entered in boundary {$a} is out of range.';
$string['feedbackerrorjunkinboundary'] = 'Ye must fill in the feedback grade boundary boxes without leaving any gaps.';
$string['feedbackerrorjunkinfeedback'] = 'Ye must fill in the feedback boxes without leaving any gaps.';
$string['feedbackerrororder'] = 'Feedback grade boundaries must be in order, highest first. The value ye entered in boundary {$a} is out of sequence.';
$string['filloutnumericalanswer'] = 'Ye provide at least one possible answer and tolerance. The first matching answer will be used to determine the grade and feedback. If ye supply some feedback with no answer at the end, that will be shown to students whose response is not matched by any of the other answers.';
$string['filloutoneanswer'] = 'Ye must provide at least one possible answer. Answers left blank will not be used. \'*\' can be used as a wildcard to match any characters. The first matching answer will be used to determine the grade and feedback.';
$string['filloutthreequestions'] = 'Ye must provide at least three questions with matching answers. Ye can provide extra wrong answers by giving an answer with a blank question. Entries where both the question and the answer are blank will be ignored.';
$string['fillouttwochoices'] = 'Ye must fill out at least two choices.  Choices left blank will not be used.';
$string['fractionsaddwrong'] = 'The positive grades ye have chosen do not add up to 100%<br />Instead, they add up to {$a}%<br />Do ye want to go back and fix this question?';
$string['fractionsnomax'] = 'One of the answers should be 100%, so that it is<br />possible to get a full grade for this question.<br />Do ye want to go back and fix this question?';
$string['gradingdetailszeropenalty'] = 'Ye were not penalized for this submission.';
$string['import_help'] = 'This function allows ye to import questions from external text files.

If yer file contains non-ascii characters then it must use UTF-8 encoding. Be particularly cautious with files generated by Microsoft Office applications, as these commonly use special encoding which will not be handled correctly.

Import and Export formats are a pluggable resource. Other optional formats may be available in the Modules and Plugins database.';
$string['importmax10error'] = 'There is an error in the question. Ye may not have more than ten answers';
$string['invalidnumericanswer'] = 'One of the answers ye entered was not a valid number.';
$string['invalidnumerictolerance'] = 'One of the tolerances ye entered was not a valid number.';
$string['lastanswer'] = 'Yer last answer was';
$string['messageprovider:confirmation'] = 'Confirmation of yer own quiz submissions';
$string['navnojswarning'] = 'Warning: these links will not save yer answers. Use the next button at the bottom of the page.';
$string['noconnection'] = 'There is currently no connection to a web service that can process this question. Please contact yer administrator';
$string['nogradewarning'] = 'This quiz is not graded, so ye cannot set overall feedback that differs by grade.';
$string['nooverridedata'] = 'Ye must override at least one of the quiz settings.';
$string['noreview'] = 'Ye are not allowed to review this quiz';
$string['noreviewattempt'] = 'Ye are not allowed to review this attempt.';
$string['noreviewuntil'] = 'Ye are not allowed to review this quiz until {$a}';
$string['notavailabletostudents'] = 'Note: This quiz is not currently available to yer students';
$string['notenoughsubquestions'] = 'Not enough sub-questions have been defined!<br />Do ye want to go back and fix this question?';
$string['notimedependentitems'] = 'Time dependent items are not currently supported by the quiz module. As a work around, set a time limit for the whole quiz. Do ye wish to choose a different item (or use the current item regardless)?';
$string['notyourattempt'] = 'This is not yer attempt!';
$string['overridedeletegroupsure'] = 'Are ye sure ye want to delete the override for group {$a}?';
$string['overridedeleteusersure'] = 'Are ye sure ye want to delete the override for user {$a}?';
$string['pleaseclose'] = 'Yer request has been processed. Ye can now close this window';
$string['popupblockerwarning'] = 'This section of the test is in secure mode, this means that ye need to take the quiz in a secure window. Please turn off yer popup blocker. Thank you.';
$string['publishedit'] = 'Ye must have permission in the publishing course to add or edit questions in this category';
$string['questiondeleted'] = 'This question has been deleted. Please contact yer teacher';
$string['questionsperpageselected'] = 'Questions per page has been set so the paging is currently fixed. As a result, the paging controls have been disabled. Ye can change this in {$a}.';
$string['quiz:reviewmyattempts'] = 'Review yer own attempts';
$string['readytosend'] = 'Ye are about to send yer whole quiz to be graded.  Are ye sure ye want to continue?';
$string['regradenotallowed'] = 'Ye do not have permission to regrade this quiz';
$string['reviewthisattempt'] = 'Review yer responses to this attempt';
$string['subneterror'] = 'Sorry, this quiz has been locked so that it is only accessible from certain locations.  Currently yer computer is not one of those allowed to use this quiz.';
$string['subnetnotice'] = 'This quiz has been locked so that it is only accessible from certain locations. Yer computer is not on an allowed subnet. As teacher ye are allowed to preview anyway.';
$string['summaryofattempts'] = 'Summary of yer previous attempts';
$string['temporaryblocked'] = 'Ye are temporarily not allowed to re-attempt the quiz.<br /> Ye will be able to take another attempt on:';
$string['timedelay'] = 'Ye are not allowed to do the quiz since ye have not passed the time delay before attempting another quiz';
$string['upgradesure'] = '<div>In particular the quiz module will perform an extensive change of the quiz tables and this upgrade has not yet been sufficiently tested. Ye are very strongly urged to backup yer database tables before proceeding.</div>';
$string['warningmissingtype'] = '<b>This question is of a type that has not been installed on yer Moodle yet.<br />Please alert yer Moodle administrator.</b>';
$string['wronguse'] = 'Ye can not use this page like that';
$string['youneedtoenrol'] = 'Ye need to enrol in this course before ye can attempt this quiz';
$string['yourfinalgradeis'] = 'Yer final grade for this quiz is {$a}.';
